# encoding: UTF-8

module APIExtendEnumerationsIndex
	module EnumerationsControllerPatch
		def self.included(base)
			base.send(:include, InstanceMethods)

			base.class_eval do
				unloadable

				def index_with_apiextend_enumerations_index
					respond_to do |format|
						format.html
						format.api {
							if params.has_key?(:type)
								@klass = Enumeration.get_subclass(params[:type])
							else
								@klass = Enumeration
							end
							if @klass
								@enumerations = @klass.shared.sorted.to_a
							else
								render_404
							end
						}
					end
				end

				alias_method_chain :index, :apiextend_enumerations_index
			end
		end

		module InstanceMethods
		end
	end
end

EnumerationsController.send(:include, APIExtendEnumerationsIndex::EnumerationsControllerPatch)

